Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jinfonet.interfaces.query
Interface SimpleTableWhere

    public interface SimpleTableWhere

Suppose the SimpleTableWhere is

     The Column is a column name.

     Possible operators are below:

                    Compare operators such as "=", ">", "<>" etc.
                    Special operators such as some DBMS' outer join "=(+)", "=*".
                    Like predicate: "LIKE" or "NOT LIKE".
                    NULL predicate: "IS NULL" or "IS NOT NULL". Note: No value(the value is an empty string).

     Possible values are below:

                    String type: According to the SQL syntax.
                                            For examples: 'abc', 'string2', 'Bill' etc.

                    Number type: According to the SQL syntax.
                                            For examples: 0, 6, 1000 etc.

                    Other types: According to the SQL syntax.

     Examples:

                            Column                  Operator                        Value

                            column_1                        =                               10
                            column_2                        <>                              'abc'
                            column_3                        LIKE                    'abc%'
                            column_3                        NOT LIKE                'abc%'
                            column_2                        IS NULL
                            column_2                        IS NOT NULL

Method Summary
`java.lang.String` | `getColumn()` Returns the column name.
`java.lang.String` | `getOperator()` Returns the operator.
`java.lang.String` | `getValue()` Returns the value.

Method Detail

### getColumn

    java.lang.String getColumn()

  Returns the column name.

  Returns:
    the column name.

### getOperator

    java.lang.String getOperator()

  Returns the operator.

  Returns:
    the operator.

### getValue

    java.lang.String getValue()

  Returns the value.

  Returns:
    the value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD